import request from '@/config/axios'

export interface KioDeviceVO {
  id: string
  instanceName: string
  address: string
  port: number
  username: string
  password: string
}

export interface KioDevicePageReqVO extends PageParam {
  instanceName?: string
  address?: string
}

// 查询KioDevice列表
export const getKioDevicePage = (params: KioDevicePageReqVO) => {
  return request.get({ url: '/data/channel/kio/device/page', params })
}

// 查询KioDevice详情
export const getKioDevice = (id: number) => {
  return request.get({ url: `/data/channel/kio/device/info/${id}`})
}

// 新增KioDevice
export const createKioDevice = (data: KioDeviceVO) => {
  return request.post({ url: '/data/channel/kio/device/add', data })
}

// 修改KioDevice
export const updateKioDevice = (data: KioDeviceVO) => {
  return request.put({ url: '/data/channel/kio/device/update', data })
}

// 删除KioDevice
export const deleteKioDevice = (id: number) => {
  return request.delete({ url: '/data/channel/kio/device/delete?id=' + id })
}
